# SdkConfig

The [`SdkConfig`](/important-topics/sdk/api-reference/android/sdkconfig.md) class allows you to specify your Sentiance app ID and secret when initializing the Sentiance SDK. This class uses the builder pattern to provide additional options and allow setting various callbacks and handlers.

## SdkConfig API

### `getAppId()`

> ```java
> String getAppId()
> ```
>
> Returns the Sentiance app credential ID.

### `getBaseURL()`

> ```java
> String getBaseURL()
> ```
>
> Returns the Sentiance API URL.

### `getMetaUserLinker()`

{% hint style="warning" %}
This method was replaced by **getUserLinker()** in v6.0.0.
{% endhint %}

> ```java
> MetaUserLinker getMetaUserLinker()
> ```
>
> Returns the [`MetaUserLinker`](/important-topics/sdk/api-reference/android/userlinker.md) used during [MetaUser linking](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/sdkconfig/broken-reference/README.md).

### `getMetaUserLinkerAsync()`

{% hint style="warning" %}
This method was replaced by **getUserLinkerAsync()** in v6.0.0.
{% endhint %}

> ```java
> MetaUserLinkerAsync getMetaUserLinkerAsync()
> ```
>
> Returns the [`MetaUserLinkerAsync`](/important-topics/sdk/api-reference/android/userlinkerasync.md) used during [MetaUser linking](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/sdkconfig/broken-reference/README.md).

### `getNotification()`

> ```java
> Notification getNotification()
> ```
>
> Returns a [`Notification`](https://developer.android.com/reference/android/app/Notification) used by the SDK when starting a foreground service.

### `getNotificationId()`

> ```java
> int getNotificationId()
> ```
>
> Returns the notification ID used by the SDK when starting a foreground service.

### `getOnSdkStatusUpdateHandler()`

> ```java
> OnSdkStatusUpdateHandler getOnSdkStatusUpdateHandler()
> ```
>
> Returns the [`SdkStatusUpdateHandler`](/important-topics/sdk/api-reference/android/onsdkstatusupdatehandler.md) set to receive SDK status updates.

### `getSecret()`

> ```java
> String getSecret()
> ```
>
> Returns the Sentiance app credential secret.

### `isTriggeredTripsEnabled()`

> ```java
> boolean isTriggeredTripsEnabled()
> ```
>
> Returns whether triggered trips is enabled or not.
>
> Learn more about triggered trip [here](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/sdkconfig/broken-reference/README.md).

### `getUserLinker()`

> ```java
> UserLinker getUserLinker()
> ```
>
> Returns the [`UserLinker`](/important-topics/sdk/api-reference/android/userlinker.md) used during [user linking](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/sdkconfig/broken-reference/README.md).

### `getUserLinkerAsync()`

> ```java
> UserLinkerAsync getUserLinkerAsync()
> ```
>
> Returns the [`UserLinkerAsync`](/important-topics/sdk/api-reference/android/userlinkerasync.md) used during [user linking](https://github.com/sentiance/v4-docs/blob/main/sdk/api-reference/android/sdkconfig/broken-reference/README.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/sdkconfig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
